Bug 84836 - when screensaver starts monitor goes unrecoverably haywire
when screensaver starts monitor goes unrecoverably haywire
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-21 16:30 EST by Honisoit Q. Malypense
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 16:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
As requested, the config (3.13 KB, text/plain)
2003-02-24 17:03 EST, Honisoit Q. Malypense
no flags Details
xfree log as requested (23.59 KB, text/plain)
2003-02-24 17:05 EST, Honisoit Q. Malypense
no flags Details

  None (edit)
Description Honisoit Q. Malypense 2003-02-21 16:30:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
From the time I installed RH8 on my Dell Dimension 8200 I've gotten warnings
about "xscreensaver-demo" not found, perhaps because of some .cshrc path wierdness

So yesterday I decided to run it from the command prompt. Big mistake. It seemed
to come up ok, I configured it, noticed dpms was not enabled, and enabled it.

Now whenever the screensaver comes on my display goes unrecoverably haywire. I'm
running at 1400x1050 on a GDM-5510 monitor. The display divides into about 32
equally spaced horizontal slices and every other one seems to be offset by some
degree. Moving the mouse doesn't do anything. I have to log out and in again to
reset. When I try the "cntrl-alt-f1" trick the screen goes to sleep and I can't
get it back without rebooting. As you can imagine, this is driving me nuts.

Also, if I do an xset -dpms to try to turn off dpms, that causes it to go
haywire immediately.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run "xset -dpms"
2.kablooie!
    

Additional info:
Comment 1 Honisoit Q. Malypense 2003-02-21 17:50:01 EST
More info: disabling the screensaver in xscreensaver-demo didn't help.

Here are some salient bits from my X config. Nothing in this has changed in a while.

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "GDM-5510"
        HorizSync    30.0 - 130.0
        VertRefresh  48.0 - 170.0
        Option      "dpms"
EndSection

Section "Device"
        # no known options
        #BusID
        Identifier  "NVIDIA GeForce 2 MX (generic)"
        Driver      "nv"
        VendorName  "NVIDIA GeForce 2 MX (generic)"
        BoardName   "NVIDIA GeForce 2 MX (generic)"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "NVIDIA GeForce 2 MX (generic)"
        Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Depth     24
                Modes    "1400x1050" "1280x1024" "1280x960" "1152x864" "1024x768
" "800x600" "640x480"
        EndSubSection
EndSection

Section "DRI"
        Mode         0666
EndSection
Comment 2 Honisoit Q. Malypense 2003-02-21 18:08:22 EST
I commented out the load "dri" and "dpms" option lines and this seems to make
the problem go away...at least, I can't reproduce it immediately with the "xset
-dpms" like I used to.
Comment 3 Honisoit Q. Malypense 2003-02-21 18:40:58 EST
I determined that the commenting of the "dpms" option was sufficient.

Resetting the Xserver does clear the problem, but of course then I lose my
session and any unsaved work.
Comment 4 Michael Fratoni 2003-02-22 15:17:17 EST
Using the links to create an attachment, could you please post your 
full config and log files?
(/etc/X11/XF86Config & /var/log/XFree86.0.log)
Comment 5 Honisoit Q. Malypense 2003-02-24 17:03:45 EST
Created attachment 90323 [details]
As requested, the config

I've commented out the offending dpms line
Comment 6 Honisoit Q. Malypense 2003-02-24 17:05:23 EST
Created attachment 90324 [details]
xfree log as requested

Again, this is now that the system works...if you want the log from when it
goes kablooie let me know
Comment 7 Mike A. Harris 2004-09-24 16:37:51 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  We
encourage you to upgrade to the latest version of Fedora Core
(http://fedora.redhat.com).

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.